Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.resource
Class JFaceResources

    java.lang.Object
      org.eclipse.jface.resource.JFaceResources

public class JFaceResources
extends Object

Utility methods to access JFace-specific resources.

All methods declared on this class are static. This class cannot be instantiated.

The following global state is also maintained by this class:

- a font registry
- a color registry
- an image registry
- a resource bundle

Field Summary
`static String` | `BANNER_FONT` The symbolic font name for the banner font (value `"org.eclipse.jface.bannerfont"`).
`static String` | `DEFAULT_FONT` The symbolic font name for the standard font (value `"org.eclipse.jface.defaultfont"`).
`static String` | `DIALOG_FONT` The symbolic font name for the dialog font (value `"org.eclipse.jface.dialogfont"`).
`static String` | `HEADER_FONT` The symbolic font name for the header font (value `"org.eclipse.jface.headerfont"`).
`static String` | `TEXT_FONT` The symbolic font name for the text font (value `"org.eclipse.jface.textfont"`).
`static String` | `VIEWER_FONT` Deprecated. This font is not in use
`static String` | `WINDOW_FONT` Deprecated. This font is not in use

Method Summary
`static String` | `format(String key, Object[] args)` Returns the formatted message for the given key in JFace's resource bundle.
`static Font` | `getBannerFont()` Returns the JFace's banner font.
`static ResourceBundle` | `getBundle()` Returns the resource bundle for JFace itself.
`static ColorRegistry` | `getColorRegistry()` Returns the color registry for JFace itself.
`static Font` | `getDefaultFont()` Returns the JFace's standard font.
`static Font` | `getDialogFont()` Returns the JFace's dialog font.
`static Font` | `getFont(String symbolicName)` Returns the font in JFace's font registry with the given symbolic font name.
`static FontRegistry` | `getFontRegistry()` Returns the font registry for JFace itself.
`static Font` | `getHeaderFont()` Returns the JFace's header font.
`static Image` | `getImage(String key)` Returns the image in JFace's image registry with the given key, or `null` if none.
`static ImageRegistry` | `getImageRegistry()` Returns the image registry for JFace itself.
`static String` | `getString(String key)` Returns the resource object with the given key in JFace's resource bundle.
`static String[]` | `getStrings(String[] keys)` Returns a list of string values corresponding to the given list of keys.
`static Font` | `getTextFont()` Returns the JFace's text font.
`static Font` | `getViewerFont()` Deprecated. This font is not in use
`static void` | `setFontRegistry(FontRegistry registry)` Sets JFace's font registry to the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BANNER_FONT

    public static final String BANNER_FONT

  The symbolic font name for the banner font (value `"org.eclipse.jface.bannerfont"`).

  See Also:
    Constant Field Values

### DEFAULT_FONT

    public static final String DEFAULT_FONT

  The symbolic font name for the standard font (value `"org.eclipse.jface.defaultfont"`).

  See Also:
    Constant Field Values

### DIALOG_FONT

    public static final String DIALOG_FONT

  The symbolic font name for the dialog font (value `"org.eclipse.jface.dialogfont"`).

  See Also:
    Constant Field Values

### HEADER_FONT

    public static final String HEADER_FONT

  The symbolic font name for the header font (value `"org.eclipse.jface.headerfont"`).

  See Also:
    Constant Field Values

### TEXT_FONT

    public static final String TEXT_FONT

  The symbolic font name for the text font (value `"org.eclipse.jface.textfont"`).

  See Also:
    Constant Field Values

### VIEWER_FONT

    public static final String VIEWER_FONT

  Deprecated. This font is not in use

  The symbolic font name for the viewer font (value `"org.eclipse.jface.viewerfont"`).

  See Also:
    Constant Field Values

### WINDOW_FONT

    public static final String WINDOW_FONT

  Deprecated. This font is not in use

  The symbolic font name for the window font (value `"org.eclipse.jface.windowfont"`).

  See Also:
    Constant Field Values

Method Detail

### format

    public static String format(String key,
                                Object[] args)

  Returns the formatted message for the given key in JFace's resource bundle.

  Parameters:
    `key` - the resource name
    `args` - the message arguments
  Returns:
    the string

### getBannerFont

    public static Font getBannerFont()

  Returns the JFace's banner font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.BANNER_FONT)

  Returns:
    the font

### getBundle

    public static ResourceBundle getBundle()

  Returns the resource bundle for JFace itself. The resouble bundle is obtained from `ResourceBundle.getBundle("org.eclipse.jface.jface_nls")`.

  Note that several static convenience methods are also provided on this class for directly accessing resources in this bundle.

  Returns:
    the resource bundle

### getColorRegistry

    public static ColorRegistry getColorRegistry()

  Returns the color registry for JFace itself.

  Returns:
    the `ColorRegistry`.
  Since:
    3.0

### getDefaultFont

    public static Font getDefaultFont()

  Returns the JFace's standard font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.DEFAULT_FONT)

  Returns:
    the font

### getDialogFont

    public static Font getDialogFont()

  Returns the JFace's dialog font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.DIALOG_FONT)

  Returns:
    the font

### getFont

    public static Font getFont(String symbolicName)

  Returns the font in JFace's font registry with the given symbolic font name. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(symbolicName)

  If an error occurs, return the default font.

  Parameters:
    `symbolicName` - the symbolic font name
  Returns:
    the font

### getFontRegistry

    public static FontRegistry getFontRegistry()

  Returns the font registry for JFace itself. If the value has not been established by an earlier call to `setFontRegistry`, is it initialized to `new FontRegistry("org.eclipse.jface.resource.jfacefonts")`.

  Note that several static convenience methods are also provided on this class for directly accessing JFace's standard fonts.

### getHeaderFont

    public static Font getHeaderFont()

  Returns the JFace's header font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.HEADER_FONT)

  Returns:
    the font

### getImage

    public static Image getImage(String key)

  Returns the image in JFace's image registry with the given key, or `null` if none. Convenience method equivalent to

       JFaceResources.getImageRegistry().get(key)

  Parameters:
    `key` - the key
  Returns:
    the image, or `null` if none

### getImageRegistry

    public static ImageRegistry getImageRegistry()

  Returns the image registry for JFace itself.

  Note that the static convenience method `getImage` is also provided on this class.

### getString

    public static String getString(String key)

  Returns the resource object with the given key in JFace's resource bundle. If there isn't any value under the given key, the key is returned.

  Parameters:
    `key` - the resource name
  Returns:
    the string

### getStrings

    public static String[] getStrings(String[] keys)

  Returns a list of string values corresponding to the given list of keys. The lookup is done with `getString`. The values are in the same order as the keys.

  Parameters:
    `keys` - a list of keys
  Returns:
    a list of corresponding string values

### getTextFont

    public static Font getTextFont()

  Returns the JFace's text font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.TEXT_FONT)

  Returns:
    the font

### getViewerFont

    public static Font getViewerFont()

  Deprecated. This font is not in use

  Returns the JFace's viewer font. Convenience method equivalent to

       JFaceResources.getFontRegistry().get(JFaceResources.VIEWER_FONT)

  Returns:
    the font

### setFontRegistry

    public static void setFontRegistry(FontRegistry registry)

  Sets JFace's font registry to the given value. This method may only be called once; the call must occur before `JFaceResources.getFontRegistry` is invoked (either directly or indirectly).

  Parameters:
    `registry` - a font registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.